Index: code/branches/main_reto/include/WeaponManager.h
===================================================================
--- code/branches/main_reto/include/WeaponManager.h	(revision 136)
+++ code/branches/main_reto/include/WeaponManager.h	(revision 136)
@@ -0,0 +1,19 @@
+#ifndef __WeaponManager__
+#define __WeaponManager__
+
+#include "Ogre.h"
+
+using namespace Ogre;
+
+class WeaponManager
+{
+public:
+	WeaponManager(SceneManager*);
+	virtual ~WeaponManager();
+
+protected:
+
+};
+
+
+#endif
Index: code/branches/main_reto/src/OrxonoxShip.cpp
===================================================================
--- code/branches/main_reto/src/OrxonoxShip.cpp	(revision 135)
+++ code/branches/main_reto/src/OrxonoxShip.cpp	(revision 136)
@@ -3,5 +3,5 @@
 
 OrxonoxShip::OrxonoxShip(SceneManager *mSceneMgr, SceneNode *mNode)
-	: mSceneMgr(mSceneMgr), mRootNode(mNode), speed(Vector3(0, 0, 0)), baseThrust(100), thrust(0), sideThrust(0), n(0),
+	: mSceneMgr(mSceneMgr), mRootNode(mNode), speed(Vector3(0, 0, 0)), baseThrust(1000), thrust(0), sideThrust(0), n(0),
 	bulletSpeed(400)
 {
@@ -77,5 +77,5 @@
 {
 	speed += (mRootNode->getLocalAxes() * Vector3(0, 0, -1)).normalisedCopy() * thrust * deltaTime;
-	speed += (mRootNode->getLocalAxes() * Vector3(1, 0,  0)).normalisedCopy() * sideThrust * deltaTime;
+	speed += (mRootNode->getLocalAxes() * Vector3(-1, 0,  0)).normalisedCopy() * sideThrust * deltaTime;
 
 	mRootNode->translate(speed * deltaTime);
Index: code/branches/main_reto/src/WeaponManager.cpp
===================================================================
--- code/branches/main_reto/src/WeaponManager.cpp	(revision 136)
+++ code/branches/main_reto/src/WeaponManager.cpp	(revision 136)
@@ -0,0 +1,11 @@
+#include "WeaponManager.h"
+
+WeaponManager::WeaponManager(SceneManager *mSceneMgr)
+{
+	
+}
+
+
+WeaponManager::~WeaponManager()
+{
+}
Index: code/branches/main_reto/weapon_framework/weapon_framework.vcproj
===================================================================
--- code/branches/main_reto/weapon_framework/weapon_framework.vcproj	(revision 135)
+++ code/branches/main_reto/weapon_framework/weapon_framework.vcproj	(revision 136)
@@ -18,6 +18,6 @@
 		<Configuration
 			Name="Debug|Win32"
-			OutputDirectory="$(OGRE_HOME)\Samples\Common\bin$(ConfigurationName)"
-			IntermediateDirectory="$(ConfigurationName)"
+			OutputDirectory="..\bin\$(ConfigurationName)"
+			IntermediateDirectory="..\obj\$(ConfigurationName)"
 			ConfigurationType="1"
 			CharacterSet="1"
@@ -41,5 +41,5 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
-				AdditionalIncludeDirectories="..\include;$(OGRE_HOME)\OgreMain\include;$(OGRE_HOME)\Samples\Common\include;$(OGRE_HOME)\Dependencies\include"
+				AdditionalIncludeDirectories="..\include;&quot;$(OGRE_HOME)\OgreMain\include&quot;;&quot;$(OGRE_HOME)\Dependencies\include&quot;"
 				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS"
 				MinimalRebuild="true"
@@ -63,5 +63,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="OgreMain_d.lib OIS_d.lib"
-				OutputFile="..\bin\$(ConfigurationName)$(ProjectName).exe"
+				OutputFile="$(OutDir)\$(ProjectName).exe"
 				LinkIncremental="2"
 				AdditionalLibraryDirectories="$(OGRE_HOME)\lib;$(OGRE_HOME)\Dependencies\lib\$(ConfigurationName)"
@@ -97,6 +97,6 @@
 		<Configuration
 			Name="Release|Win32"
-			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
-			IntermediateDirectory="$(ConfigurationName)"
+			OutputDirectory="..\bin\$(ConfigurationName)"
+			IntermediateDirectory="..\obj\$(ConfigurationName)"
 			ConfigurationType="1"
 			CharacterSet="1"
@@ -120,5 +120,5 @@
 			<Tool
 				Name="VCCLCompilerTool"
-				AdditionalIncludeDirectories="..\include;$(OGRE_HOME)\OgreMain\include;$(OGRE_HOME)\Samples\Common\include;$(OGRE_HOME)\Dependencies\include"
+				AdditionalIncludeDirectories="..\include;&quot;$(OGRE_HOME)\OgreMain\include&quot;;&quot;$(OGRE_HOME)\Dependencies\include&quot;"
 				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS"
 				RuntimeLibrary="2"
@@ -140,5 +140,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="OgreMain.lib OIS.lib"
-				OutputFile="..\bin\$(ConfigurationName)$(ProjectName).exe"
+				OutputFile="$(OutDir)\$(ProjectName).exe"
 				LinkIncremental="1"
 				AdditionalLibraryDirectories="$(OGRE_HOME)\lib;$(OGRE_HOME)\Dependencies\lib\$(ConfigurationName)"
@@ -215,4 +215,8 @@
 				>
 			</File>
+			<File
+				RelativePath="..\src\WeaponManager.cpp"
+				>
+			</File>
 		</Filter>
 		<Filter
@@ -249,4 +253,8 @@
 				>
 			</File>
+			<File
+				RelativePath="..\include\WeaponManager.h"
+				>
+			</File>
 		</Filter>
 		<Filter
Index: code/branches/main_reto/weapon_framework/weapon_framework.vcproj.RGRIEDERT60.rgrieder.user
===================================================================
--- code/branches/main_reto/weapon_framework/weapon_framework.vcproj.RGRIEDERT60.rgrieder.user	(revision 135)
+++ code/branches/main_reto/weapon_framework/weapon_framework.vcproj.RGRIEDERT60.rgrieder.user	(revision 136)
@@ -11,5 +11,5 @@
 			<DebugSettings
 				Command="$(TargetPath)"
-				WorkingDirectory="$(OGRE_HOME)\Samples\Common\bin\debug"
+				WorkingDirectory="..\bin\$(ConfigurationName)"
 				CommandArguments=""
 				Attach="false"
@@ -39,5 +39,5 @@
 			<DebugSettings
 				Command="$(TargetPath)"
-				WorkingDirectory=""
+				WorkingDirectory="..\bin\$(ConfigurationName)"
 				CommandArguments=""
 				Attach="false"
@@ -51,5 +51,5 @@
 				Environment=""
 				EnvironmentMerge="true"
-				DebuggerFlavor=""
+				DebuggerFlavor="0"
 				MPIRunCommand=""
 				MPIRunArguments=""