Index: code/branches/main_reto/include/Bullet.h
===================================================================
--- code/branches/main_reto/include/Bullet.h	(revision 136)
+++ code/branches/main_reto/include/Bullet.h	(revision 141)
@@ -1,2 +1,30 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software: you can redistribute it and/or modify
+ *   it under the terms of the GNU General Public License as published by
+ *   the Free Software Foundation, either version 3 of the License, or
+ *   (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+
 #ifndef __Bullet__
 #define __Bullet__
Index: code/branches/main_reto/include/CameraManager.h
===================================================================
--- code/branches/main_reto/include/CameraManager.h	(revision 136)
+++ code/branches/main_reto/include/CameraManager.h	(revision 141)
@@ -1,2 +1,30 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software: you can redistribute it and/or modify
+ *   it under the terms of the GNU General Public License as published by
+ *   the Free Software Foundation, either version 3 of the License, or
+ *   (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+
 #ifndef __CameraManager__
 #define __CameraManager__
Index: code/branches/main_reto/include/MyListener.h
===================================================================
--- code/branches/main_reto/include/MyListener.h	(revision 136)
+++ 	(revision )
@@ -1,23 +1,0 @@
-#ifndef __MyListener__
-#define __MyListener__
-
-#include "OgreControl.h"
-#include "ExampleFrameListener.h"
-
-// Declare a subclass of the ExampleFrameListener class
-class MyListener : public ExampleFrameListener
-{
-public:
-	MyListener(RenderWindow* win, Camera* cam);
-
-	void setReceiver(OgreControl*);
-
-	bool frameStarted(const FrameEvent& evt);
-
-	bool frameEnded(const FrameEvent& evt);
-
-private:
-	OgreControl *myApp;
-};
-
-#endif
Index: code/branches/main_reto/include/OgreControl.h
===================================================================
--- code/branches/main_reto/include/OgreControl.h	(revision 136)
+++ code/branches/main_reto/include/OgreControl.h	(revision 141)
@@ -1,2 +1,30 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software: you can redistribute it and/or modify
+ *   it under the terms of the GNU General Public License as published by
+ *   the Free Software Foundation, either version 3 of the License, or
+ *   (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+
 #ifndef __OgreControl__
 #define __OgreControl__
Index: code/branches/main_reto/include/Orxonox.h
===================================================================
--- code/branches/main_reto/include/Orxonox.h	(revision 136)
+++ code/branches/main_reto/include/Orxonox.h	(revision 141)
@@ -1,2 +1,30 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software: you can redistribute it and/or modify
+ *   it under the terms of the GNU General Public License as published by
+ *   the Free Software Foundation, either version 3 of the License, or
+ *   (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+
 #ifndef __Orxonox__
 #define __Orxonox__
Index: code/branches/main_reto/include/OrxonoxScene.h
===================================================================
--- code/branches/main_reto/include/OrxonoxScene.h	(revision 136)
+++ code/branches/main_reto/include/OrxonoxScene.h	(revision 141)
@@ -1,2 +1,30 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software: you can redistribute it and/or modify
+ *   it under the terms of the GNU General Public License as published by
+ *   the Free Software Foundation, either version 3 of the License, or
+ *   (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+
 #ifndef __DemoScene__
 #define __DemoScene__
Index: code/branches/main_reto/include/OrxonoxShip.h
===================================================================
--- code/branches/main_reto/include/OrxonoxShip.h	(revision 136)
+++ code/branches/main_reto/include/OrxonoxShip.h	(revision 141)
@@ -1,2 +1,30 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software: you can redistribute it and/or modify
+ *   it under the terms of the GNU General Public License as published by
+ *   the Free Software Foundation, either version 3 of the License, or
+ *   (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+
 #ifndef __OrxonoxShip__
 #define __OrxonoxShip__
@@ -29,9 +57,10 @@
 	Bullet* fire();
 
-	bool tick(unsigned long, float);
+	bool tick(unsigned long, Real);
+
+	SceneNode *mRootNode;
 
 protected:
 	SceneManager *mSceneMgr;
-	SceneNode *mRootNode;
 	Entity *mShip;
 
Index: code/branches/main_reto/include/RunManager.h
===================================================================
--- code/branches/main_reto/include/RunManager.h	(revision 136)
+++ code/branches/main_reto/include/RunManager.h	(revision 141)
@@ -1,2 +1,30 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software: you can redistribute it and/or modify
+ *   it under the terms of the GNU General Public License as published by
+ *   the Free Software Foundation, either version 3 of the License, or
+ *   (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+
 #ifndef __RunManager__
 #define __RunManager__
@@ -9,5 +37,4 @@
 #include "OrxonoxScene.h"
 #include "OrxonoxShip.h"
-#include "SteerableNode.h"
 
 //Use this define to signify OIS will be used as a DLL
Index: code/branches/main_reto/include/SteerableNode.h
===================================================================
--- code/branches/main_reto/include/SteerableNode.h	(revision 136)
+++ 	(revision )
@@ -1,22 +1,0 @@
-#ifndef __SteerableNode__
-#define __SteerableNode__
-
-#include "Ogre.h"
-
-using namespace Ogre;
-
-class SteerableNode
-{
-public:
-	SteerableNode(SceneManager*, const Ogre::String&);
-	SteerableNode(SceneManager*);
-	virtual ~SteerableNode();
-
-	virtual bool initialise();
-
-protected:
-	SceneNode *mNode;
-};
-
-
-#endif
Index: code/branches/main_reto/include/WeaponManager.h
===================================================================
--- code/branches/main_reto/include/WeaponManager.h	(revision 136)
+++ code/branches/main_reto/include/WeaponManager.h	(revision 141)
@@ -1,2 +1,30 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software: you can redistribute it and/or modify
+ *   it under the terms of the GNU General Public License as published by
+ *   the Free Software Foundation, either version 3 of the License, or
+ *   (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+
 #ifndef __WeaponManager__
 #define __WeaponManager__