Index: nux/flatpak/TODO.txt
===================================================================
--- /linux/flatpak/TODO.txt	(revision 152)
+++ 	(revision )
@@ -1,2 +1,0 @@
-delete C++ archives?
-set strip to true
Index: nux/flatpak/boost-configure
===================================================================
--- /linux/flatpak/boost-configure	(revision 152)
+++ 	(revision )
@@ -1,10 +1,0 @@
-./bootstrap.sh "$@"
-
-
-cat <<EOF >Makefile
-all:
-	./b2 -j `nproc` -mt --with-date_time --with-filesystem --with-thread
-
-install:
-	./b2 install
-EOF
Index: nux/flatpak/ogre1.9-gcc5.2.patch
===================================================================
--- /linux/flatpak/ogre1.9-gcc5.2.patch	(revision 152)
+++ 	(revision )
@@ -1,63 +1,0 @@
---- a/OgreMain/include/OgreProgressiveMeshGenerator.h	2015-09-03 04:58:34.119585218 +0200
-+++ b/OgreMain/include/OgreProgressiveMeshGenerator.h	2015-09-03 04:58:39.342585320 +0200
-@@ -215,7 +215,40 @@
- 	void tuneContainerSize();
- 	void addVertexData(VertexData* vertexData, bool useSharedVertexLookup);
- 	template<typename IndexType>
--	void addIndexDataImpl(IndexType* iPos, const IndexType* iEnd, VertexLookupList& lookup, unsigned short submeshID);
-+	void addIndexDataImpl(IndexType* iPos, const IndexType* iEnd, VertexLookupList& lookup, unsigned short submeshID)
-+	{
-+
-+		// Loop through all triangles and connect them to the vertices.
-+		for (; iPos < iEnd; iPos += 3) {
-+			// It should never reallocate or every pointer will be invalid.
-+			OgreAssert(mTriangleList.capacity() > mTriangleList.size(), "");
-+			mTriangleList.push_back(PMTriangle());
-+			PMTriangle* tri = &mTriangleList.back();
-+			tri->isRemoved = false;
-+			tri->submeshID = submeshID;
-+			for (int i = 0; i < 3; i++) {
-+				// Invalid index: Index is bigger then vertex buffer size.
-+				OgreAssert(iPos[i] < lookup.size(), "");
-+				tri->vertexID[i] = iPos[i];
-+				tri->vertex[i] = lookup[iPos[i]];
-+			}
-+			if (tri->isMalformed()) {
-+#if OGRE_DEBUG_MODE
-+				stringstream str;
-+				str << "In " << mMeshName << " malformed triangle found with ID: " << getTriangleID(tri) << ". " <<
-+				std::endl;
-+				printTriangle(tri, str);
-+				str << "It will be excluded from LOD level calculations.";
-+				LogManager::getSingleton().stream() << str.str();
-+#endif
-+				tri->isRemoved = true;
-+				mIndexBufferInfoList[tri->submeshID].indexCount -= 3;
-+				continue;
-+			}
-+			tri->computeNormal();
-+			addTriangleToEdges(tri);
-+		}
-+	}
- 	void addIndexData(IndexData* indexData, bool useSharedVertexLookup, unsigned short submeshID);
- 
- 	void computeCosts();
---- a/OgreMain/src/OgreProgressiveMeshGenerator.cpp	2015-09-03 04:58:34.879585233 +0200
-+++ b/OgreMain/src/OgreProgressiveMeshGenerator.cpp	2015-09-03 04:58:43.944585409 +0200
-@@ -219,6 +219,8 @@
- 	}
- 	vbuf->unlock();
- }
-+/// Called from OgreQueuedProgressiveMeshGenerator.cpp, so it can not be defined in here.
-+#if 0
- template<typename IndexType>
- void ProgressiveMeshGenerator::addIndexDataImpl(IndexType* iPos, const IndexType* iEnd,
-                                                 VertexLookupList& lookup,
-@@ -256,6 +258,7 @@
- 		addTriangleToEdges(tri);
- 	}
- }
-+#endif // 0
- 
- void ProgressiveMeshGenerator::addIndexData(IndexData* indexData, bool useSharedVertexLookup, unsigned short submeshID)
- {
Index: nux/flatpak/pthreads.patch
===================================================================
--- /linux/flatpak/pthreads.patch	(revision 152)
+++ 	(revision )
@@ -1,13 +1,0 @@
---- CMake/Dependencies.cmake	2018-10-06 16:20:48.650708050 +0200
-+++ CMake/Dependencies.cmake	2018-10-06 16:17:46.475146000 +0200
-@@ -58,6 +58,10 @@
- set(CMAKE_PREFIX_PATH ${OGRE_DEP_SEARCH_PATH} ${CMAKE_PREFIX_PATH})
- set(CMAKE_FRAMEWORK_PATH ${OGRE_DEP_SEARCH_PATH} ${CMAKE_FRAMEWORK_PATH})
- 
-+# to correctly locate pthread.so instead of pthreads.so
-+find_package(Threads)
-+# end
-+
- #######################################################################
- # Core dependencies
- #######################################################################